export interface IMaterialPreviewOptions {
    width?: number;
    height?: number;
    crop?: boolean;
}
export declare class MaterialPreviewData {
    previewFiles: {
        [fileName: string]: Blob | string;
    };
    constructor();
    downloadFiles(): void;
}
export declare class MaterialsPreview {
    static getPreviewsAsync(scene: BABYLON.Scene, rootUrl: string, materialIDs: string[], options?: IMaterialPreviewOptions, createBlobs?: boolean): Promise<MaterialPreviewData>;
    static downloadPreviewsAsync(scene: BABYLON.Scene, rootUrl: string, materialsIDs: string[], options?: IMaterialPreviewOptions): Promise<void>;
}
