import { Nullable } from "../types";
export interface ISceneEditor {
    engine: Nullable<BABYLON.Engine>;
    scene: Nullable<BABYLON.Scene>;
    addPreUpdateListener: (listener: () => void) => void;
    removePreUpdateListener: (listener: () => void) => void;
    addPostUpdateListener: (listener: () => void) => void;
    removePostUpdateListener: (listener: () => void) => void;
    canShowAxes(): boolean;
    canShowLights(): boolean;
}
