import React, { Dispatch, FunctionComponent } from 'react';
import { BootParameters } from 'src';
import { ZakekeEnvironment } from '../environment';
import { Zakeke } from './providerValue';
import { AppState } from './state';
export declare const context: React.Context<Zakeke | null>;
declare const useInternalState: () => {
    state: AppState;
    dispatch: Dispatch<any>;
};
declare const ZakekeProvider: FunctionComponent<{
    parameters?: BootParameters | null;
    environment: ZakekeEnvironment;
    children?: React.ReactNode;
}>;
export { ZakekeProvider, useInternalState };
