import { IDisposable } from "../../Interfaces/IDisposable";
export declare class MeshExpander implements IDisposable {
    private _mesh;
    private _scene;
    private _facesOfVertices;
    private _meshVerticesPositions;
    private _meshVerticesNormals;
    private _meshIndices;
    private _meshPositions;
    private _meshFacesNormals;
    private _sharedFacesOfVertices;
    constructor();
    dispose(): void;
    private resetDataModel;
    private prepareDataModel;
    private _getFaceVerticesIndex;
    private _computeFaceNormal;
    private _getPositionKey;
    private _getFacesOfVertices;
    expandMesh(mesh: BABYLON.AbstractMesh, delta?: number): void;
    _reComputeNormals(): void;
    private _getVertexComputedNormal;
    private _computeNormal;
}
