export interface IScenePreviewOptions {
    width?: number;
    height?: number;
    crop?: boolean;
    camera: {
        position: BABYLON.Vector3;
        target: BABYLON.Vector3;
    };
    zkScene?: Zakeke.Scene;
    zkModel?: MPlaza.Model;
    zkDesign?: MPlaza.Design | null;
    meshesWithCustomizationIds?: string[];
}
export declare class ScenePreviewData {
    previewFile: string;
}
export declare class ScenesPreview {
    static getPreviewsAsync(scene: BABYLON.Scene, rootUrl: string, options: IScenePreviewOptions): Promise<ScenePreviewData>;
}
