import { IDisposable } from "../../Interfaces/IDisposable";
export declare class InnerShadow implements IDisposable {
    private _size;
    private _baseTexture;
    private _scene;
    private _mask;
    private _shadow;
    private _shadowBlurX;
    private _shadowBlurY;
    private _shadowMove;
    private _lightmap;
    constructor(baseTexture: BABYLON.Texture, size: number, config: MPlaza.InnerShadowConfig, scene: BABYLON.Scene);
    private updateParameters;
    private wrapPi;
    dispose(): void;
    getInnerShadowTextureAsync(baseTexture: BABYLON.Texture): Promise<BABYLON.ProceduralTexture>;
    updateAsync(baseTexture: BABYLON.Texture, config?: MPlaza.InnerShadowConfig): Promise<void>;
}
