/**
 * A function that emits a side effect and does not return anything.
 */
export type Procedure = (...args: any[]) => void;
export type Options = {
    isImmediate: boolean;
};
export declare function debounce<F extends Procedure>(func: F, waitMilliseconds?: number, options?: Options): F;
