import { FunctionComponent } from 'react';
import { TryOnProviderProps, ValueOf } from '../tryOnModels';
export declare const DeepARTryOnReceivedMessage: {
    readonly WaitingAuthentication: "WAITING_AUTH";
    readonly TryOnLoaded: "MODEL_LOADED";
    readonly ScreenShotTaken: "SCREENSHOT_TAKEN";
    readonly WebcamStopped: "WEBCAM_STOPPED";
    readonly Start: "";
    readonly AuthSuccessful: "AUTH_SUCCESS";
    readonly AuthError: "AUTH_ERROR";
    readonly WebcamError: "WEBCAM_ERROR";
};
export type DeepARTryOnReceivedMessageType = ValueOf<typeof DeepARTryOnReceivedMessage>;
export declare const DeepARTryOnResponseMessage: {
    readonly StartAuthenticationTryOn: "AUTH";
    readonly LoadTryOn: "LOAD_MODEL";
    readonly LoadHands: "LOAD_HANDS";
    readonly TakeScreenshot: "TAKE_SCREENSHOT";
    readonly StopWebcam: "STOP_WEBCAM";
};
export type DeepARTryOnResponseMessageType = ValueOf<typeof DeepARTryOnResponseMessage>;
export declare const DeepARTryOn: FunctionComponent<TryOnProviderProps>;
