import { FunctionComponent } from 'react';
import { PupillaryDistanceProviderProps, TryOnProviderProps, ValueOf } from '../tryOnModels';
export declare const MazingTryOnReceivedMessage: {
    readonly WaitingAuthentication: "WAITING_AUTH";
    readonly TryOnLoaded: "MODEL_LOADED";
    readonly ScreenShotTaken: "SCREENSHOT_TAKEN";
    readonly WebcamStopped: "WEBCAM_STOPPED";
    readonly Start: "";
    readonly AuthSuccessful: "AUTH_SUCCESS";
    readonly AuthError: "AUTH_ERROR";
    readonly WebcamError: "WEBCAM_ERROR";
};
export type MazingTryOnReceivedMessageType = ValueOf<typeof MazingTryOnReceivedMessage>;
export declare const MazingTryOnResponseMessage: {
    readonly StartAuthenticationTryOn: "AUTH_TRY_ON";
    readonly LoadTryOn: "LOAD_MODEL";
    readonly TakeScreenshot: "TAKE_SCREENSHOT";
    readonly StopWebcam: "STOP_WEBCAM";
};
export type MazingTryOnResponseMessageType = ValueOf<typeof MazingTryOnResponseMessage>;
declare const MazingPupillaryDistanceBaseStateReceivedMessage: {
    readonly PDLoaded: "PD_LOADED";
    readonly PDUpdated: "NEW_PD";
    readonly PDDataNotFoundError: "PD_ERROR";
    readonly WebcamError: "WEBCAM_ERROR";
    readonly PDCountdown: "PD_COUNTDOWN";
    readonly WebcamStopped: "WEBCAM_STOPPED";
};
export declare const MazingPupillaryDistanceStateReceivedMessage: {
    readonly PDLoaded: "PD_LOADED";
    readonly PDUpdated: "NEW_PD";
    readonly PDDataNotFoundError: "PD_ERROR";
    readonly WebcamError: "WEBCAM_ERROR";
    readonly PDCountdown: "PD_COUNTDOWN";
    readonly WebcamStopped: "WEBCAM_STOPPED";
    readonly Start: "";
    readonly WaitingAuthentication: "WAITING_AUTH";
    readonly AuthSuccessful: "AUTH_SUCCESS";
    readonly AuthError: "AUTH_ERROR";
};
export type MazingPupillaryDistanceStateReceivedMessageType = ValueOf<typeof MazingPupillaryDistanceBaseStateReceivedMessage>;
declare const MazingPupillaryDistanceBaseResponseMessage: {
    readonly StartAuthenticationPD: "AUTH_TRY_ON";
    readonly LoadPD: "LOAD_PD";
    readonly StartPD: "START_PD";
    readonly StopWebcam: "STOP_WEBCAM";
};
export declare const MazingPupillaryDistanceResponseMessage: {
    readonly StartAuthenticationPD: "AUTH_TRY_ON";
    readonly LoadPD: "LOAD_PD";
    readonly StartPD: "START_PD";
    readonly StopWebcam: "STOP_WEBCAM";
};
export type MazingPupillaryDistanceResponseMessageType = ValueOf<typeof MazingPupillaryDistanceBaseResponseMessage>;
export declare const MazingTryOn: FunctionComponent<TryOnProviderProps>;
export declare const MazingPupillaryDistance: FunctionComponent<PupillaryDistanceProviderProps>;
export {};
