declare const MPlaza: any;
interface ImageTaskOptions {
    convertEpsToSvg: boolean;
    convertPdfToSvg: boolean;
    convertAiToSvg: boolean;
    IsPdfWithRasterAllowed: boolean;
}
export default class ImageUploadTask {
    culture: string;
    token: string;
    options: ImageTaskOptions;
    constructor(culture: string, token: string, options?: ImageTaskOptions);
    upload: (file: File, onProgress?: ((progress: number) => void) | undefined) => Promise<any[] | null | undefined>;
    addPrintingOptions: (printingOptions: MPlaza.PrintTypes | undefined) => void;
    private uploadFileChunked;
    private resumableUpload;
    private createImageTask;
    private getImageFromTask;
}
export {};
